lightdm (1.30.0-0ubuntu4) hirsute; urgency=medium

  * debian/patches/fix-guest-session-ICEauthority-error.patch:
    - Fixes AppArmor issue which prevented access to the guest session
      feature in e.g. MATE (LP: #1921655). Thanks to Jonas Wiegert for
      the solution!
  * debian/patches/Glibc-2.33-fix.patch:
    - Cherry picked from upstream to prevent FTBFS
  * debian/patches/dont-turn-format-warnings-into-errors.patch:
    - Works around FTBFS on s390x with gcc versions higher than gcc-9.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 11 Apr 2021 00:18:06 +0200

lightdm (1.30.0-0ubuntu3.1) focal; urgency=medium

  * debian/patches/04_language_handling.patch:
    - Only set LANGUAGE if not in a live session (LP: #1861481).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 07 Feb 2020 12:40:00 +0100

lightdm (1.30.0-0ubuntu2) focal; urgency=medium

  * Cherry-pick upstream commit dropping Qt 4 support.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Oct 2019 17:24:44 -0500

lightdm (1.30.0-0ubuntu1) eoan; urgency=medium

  * New upstream release:
    - Add lightdm_user_get_is_locked ()
    - Hide users with shell /bin/false
    - Remove unity-system-compositor support (dead upstream)
    - Fix dm-tool crash
    - Update documentation
  * debian/control:
  * debian/copyright:
    - Update links to GitHub
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Aug 2019 14:18:58 +1200

lightdm (1.28.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - Continue to shutdown session is removing X authority fails
    - Set XDG_SEAT env variable in script hooks
    - Fix small leak in XDMCP server
    - liblightdm-qt: mark class PowerInterface as exported
    - Fix one qt5 test being run instead of a qt4 one
    - Remove use of deprecated g_type_class_add_private
    - Modernize private data in objects
    - Document XDG_SEAT_PATH in man page
    - Fix install failing if link already exists
    - Remove bashisms in configure.ac

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 30 Aug 2018 14:34:55 +1200

lightdm (1.26.0-0ubuntu2) cosmic; urgency=medium

  * Cherrypick upstream PR to add support for usr-merge in apparmor
    profile. LP: #1784023

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 Aug 2018 00:05:28 +0100

lightdm (1.26.0-0ubuntu1) bionic; urgency=medium

  * debian/control:
    - Drop obsolete gnome-common build-depends and use explicit depends instead

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 22 Mar 2018 12:12:06 +1300

lightdm (1.25.2-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - Fix incorrect use of ConsoleKit CanSuspend/Hibernate API
    - Correctly install AccountsService interface file
    - Fix build system to require C99
    - Use standard format for arguments passed to qtchooser
  * debian/lightdm.install:
    - Install AccountsService D-Bus extension files

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 13 Feb 2018 16:33:14 +1300

lightdm (1.25.1-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - Fixes for VNC and XDMCP connections
    - Use AccountsService extension system for extended greeter information
    - Modernise code style

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 18 Jan 2018 09:43:40 +1300

lightdm (1.25.0-0ubuntu1) bionic; urgency=medium

  * New upstream release:
    - Support moc being called moc-qt5 (e.g. Fedora)
    - Fail configure if MOC can't be found
    - Expose autologin-session as a hint to the greeter
    - Fix timed autologins not using autologin-session when no session specified
  * debian/control:
    - Use standards version 4.1.1
    - Fix package sections
    - Fix introspection dependencies
    - Use recent debhelper
  * debian/liblightdm-gobject-1-0.symbols:
  * debian/liblightdm-qt-3-0.symbols:
  * debian/liblightdm-qt5-3-0.symbols:
    - Updated
  * debian/watch:
    - Update to use github for tarballs

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Nov 2017 15:38:13 +1300

lightdm (1.24.0-0ubuntu1) artful; urgency=medium

  * New upstream release:
    - No changes from 1.22

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Sep 2017 10:42:34 +1200

lightdm (1.22.0-0ubuntu6) artful; urgency=medium

  * debian/lightdm.config: When upgrading to this version, don't show the DM
    selection prompt. We're trying to suppress the prompt and switch Ubuntu
    desktop users to gdm3 smoothly, but lightdm's prompt is showing up as gdm3
    is on the system when lightdm.config is executed. This means that if there
    is a situation when upgraders to this version *should* be shown the
    prompt, they won't be. If that is the case, we'll need to think again
    about how to implement this.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 18 Jul 2017 10:21:45 +0100

lightdm (1.22.0-0ubuntu5) artful; urgency=medium

  * Change back the default session to 'ubuntu', as it now corresponds to
    GNOME Shell one with our ubuntu changes.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 20 Jun 2017 12:14:37 +0200

lightdm (1.22.0-0ubuntu4) artful; urgency=medium

  * SECURITY UPDATE: Guest session not confined (LP: #1663157)
    - debian/50-disable-guest.conf:
    - debian/lightdm.install:
      - Disable guest sessions by default, this can be overridden by custom
        configuration (e.g. /etc/lightdm/lightdm.conf)
    - CVE-2017-8900    

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 19 Jun 2017 16:32:24 +1200

lightdm (1.22.0-0ubuntu3) artful; urgency=medium

  * Change the default session to `gnome' (Shell).

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 06 Jun 2017 18:40:05 +0100

lightdm (1.22.0-0ubuntu2) zesty; urgency=medium

  * SECURITY UPDATE: Directory traversal allowing arbitrary directory
    ownership and privilege escalation (LP: #1677924)
    - debian/guest-account.sh: Detect existing malicious guest user home dirs
      before proceeding with guest user creation
    - CVE-2017-7358

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Apr 2017 10:34:32 +1200

lightdm (1.22.0-0ubuntu1) zesty; urgency=medium

  * Allow guest sessions to talk to Mir (allowing unity8)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Mar 2017 09:46:38 +1300

lightdm (1.21.5-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Fix logic that checked if a session was being stopped.
      This fixes a race condition that could cause logging into an existing
      session from a greeter to not return to that session. (LP: #1656399)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Feb 2017 12:38:50 +1300

lightdm (1.21.4-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Use power management functions from ConsoleKit2 if available.
    - Correctly pass return value from sessions to LightDM.
    - Retry VT_WAITACTIVE if we get EINTR.
    - Ignore SIGHUP by default.
    - Use SA_RESTART with SIGPIPE.
    - liblightdm-qt: Use liblightdm-gobject power methods instead of
      re-implementing in Qt.
  * debian/liblightdm-qt-3-0.symbols:
  * debian/liblightdm-qt5-3-0.symbols:
    - Add symbols files for C++ libraries

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 13 Feb 2017 16:31:48 +1300

lightdm (1.21.3-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Fix crashes introduced in 1.21.2 due to environment variable changes
    - Fix incorrect unref in XDMCP server code
    - Fix logging warning 

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 Dec 2016 14:04:49 +1300

lightdm (1.21.2-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Use SA_RESTART on signals so we don't get interrupted reads (LP: #1648637)
    - Use logind to terminate greeter sessions if it is available
    - Load greeters from XDG_DATA_DIRS instead of compile time value
    - Allow D-Bus interface to be disabled
    - Always pass through LD_PRELOAD, LD_LIBRARY_PATH and PATH to
      sessions/display servers
  * debian/patches/terminate-session.patch:
    - Merged upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 Dec 2016 10:51:07 +1300

lightdm (1.21.1-0ubuntu2) zesty; urgency=medium

  Restore patch from 1.20.0-0ubuntu3:
  * Add debian/patches/terminate-session.patch: Terminate leftover processes
    in greeter session. It can happen that the greeter session does not
    properly clean up itself on logout. This causes leaked processes like
    settings-daemon which act on the user session as they share the same
    $DISPLAY. Ask logind to terminate remaining processes in the greeter
    session on closing, which is more robust than trying to fix every greeter.
    (LP: #1637758)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 22 Nov 2016 09:43:39 +0100

lightdm (1.21.1-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Fix greeters crashing with unknown configuration keys (regression from
      1.21.0) (LP: #1643276)
    - Add an API verison to the greeter-daemon protocol for future enhancements
    - More regression tests

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Nov 2016 09:47:00 +1300

lightdm (1.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream release:
    - Add liblightdm functions for getting OS release information and the
      message of the day.
    - Warn if we find unknown keys in configuration.
    - Fix .profile errors not showing in .xsession-errors log. (LP: #1639533)
    - Remove duplicate Qt property in liblightdm.
    - Fix and improve liblightdm API documentation.
    - Minor GIR annotation fixes.
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 Nov 2016 11:40:20 +1300

lightdm (1.20.0-0ubuntu2) zesty; urgency=medium

  * debian/lightdm-greeter-session: Don't launch another session D-Bus if one
    is already running (usually from dbus-user-session).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Oct 2016 21:35:30 +0200

lightdm (1.20.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Use stable version number (no other changes)

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 15 Oct 2016 18:14:22 +1300

lightdm (1.19.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix errors in documentation generation
    - Improve documentation
    - Fix guest AppArmor profile to allow guest sessions more access to the
      upstart session socket (LP: #1627304)
    - Fix small memory leak in liblightdm-gobject keyboard layout code
  * debian/control:
    - Drop duplicate dependency on gobject-introspection
    - Alphabetically order dependencies
  * debian/guest-session-auto.sh:
    - Don't show guest session dialog in MATE (LP: #1627395)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 30 Sep 2016 14:56:00 +1300

lightdm (1.19.4-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix various issues in new in-session greeter code
    - Fix user list memory management exposed by use of in-session greeters
    - Fix some spurious warnings in the log

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 12 Aug 2016 11:07:57 +1200

lightdm (1.19.3-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Fix in-session greeters not working for greeter logins
  * debian/control:
    - Use standards version 3.9.8

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 12 Jul 2016 10:10:41 +1200

lightdm (1.19.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    * Add support for greeters running inside sessions. This is enabled by
      setting X-LightDM-Allow-Greeter inside the session .desktop file.
      The session can then use liblightdm to connect one greeter to the
      daemon. The communication is done using a socket
      (/var/run/lightdm/<user>/greeter-socket) that is accessible to any
      process run by that user. Consider controlling access to this socket
      using a MAC system such as AppArmor. (LP: #1582242)
    * Report errors for all liblightdm methods. This will require existing
      greeters to update their API usage. The ABI is unchanged.
    * Handle EAGAIN correctly when daemons communicate with the daemon.
    * Drop support for mir-container sessions - no-one ever used these.
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 29 Jun 2016 15:29:17 +1200

lightdm (1.19.1-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
  * debian/lightdm.dirs:
    - Rename "xlocal" seat type to "local". Using "xlocal" will continue to work
      but report a warning.
    - Ensure user configuration directories /etc/lightdm/lightdm.conf.d and
      /etc/guest-session exist
    - Use MIR_SERVER_HOST_SOCKET instead of MIR_SOCKET to report compositor
      socket to sessions. This used to work but no longer works in Mir 0.21
      (LP: #1583624)
    - Allow XMir to run on the xlocal seat using the new x-server-backend=mir
      option
    - Use only a single compositor on local seats (LP: #1594229)
    - Fix Mir greeter log filename having "(null)" in the name (LP: #1590582)
    - Copy fcitx/mozc rules so session works when these aren't installed
      (LP #1581187)
    - Revert lxsession change - it caused the AppArmor to fail to compile
  * debian/rules:
    - Revert dh_installinit change - we don't want to start LightDM on install
      (LP: #1581106)
  * debian/guest-account.sh:
  * debian/guest-session-setup.sh:
    - Source prefs.sh as privileged user to allow user modification
      (LP: #1581853)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 20 Jun 2016 16:18:36 +1200

lightdm (1.19.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release:
    - Use /dev/tty0 instead of /dev/console for VT operations (LP: #1566073)
    - Don't quit on SIGUSR1, SIGUSR2 or SIGHUP (LP: #960157)
    - Improve XDMCP IPv6 address selection (LP: #1575200)
    - Set XDMCP hostname field in to system hostname or configured value
      (LP: #1578442)
    - Allow fcitx and mozc to run in guest session (LP: #1509829)
    - Fix lxsession running in guest session
    - Drop support for legacy XMir
    - Fix g_spawn compiler warning
  * debian/rules:
    - Fix usage of dh_installinit (LP: #1292990)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 05 May 2016 12:23:45 +1200

lightdm (1.18.0-0ubuntu2) xenial; urgency=medium

  * debian/control:
    - Set libaudit and plymouth dependencies to linux-any (LP: #1563036)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 29 Mar 2016 12:05:24 +1300

lightdm (1.18.0-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Small documentation fixes
  * debian/guest-account.sh:
    - More forcibly remove guest sessions so they don't remain after logout
      (LP: #1556516)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Mar 2016 15:09:54 +1300

lightdm (1.17.6-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Don't write $DISPLAY into tty line in utmp/btmp. (LP: #1380364)
  * debian/guest-account.sh:
  * debian/guest-session.profile:
  * debian/rules:
    - Don't overwrite .profile file from skeleton session, append it instead

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Mar 2016 15:47:08 +1300

lightdm (1.17.5-0ubuntu2) xenial; urgency=medium

  * debian/control:
    - Fix liblightdm-qt5-3-dev to depend on qtbase5-dev, not libqt4-dev

 -- Michael Terry <mterry@ubuntu.com>  Wed, 03 Feb 2016 13:45:53 -0500

lightdm (1.17.5-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Set XDG_RUNTIME_DIR for ConsoleKit sessions. This is a recent change in
      ConsoleKit2.
  * debian/lightdm.postrm:
    - Don't remove the lightdm user home directory on purge since we no longer
      remove the user account. (LP: #1540933)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 03 Feb 2016 12:55:04 +1300

lightdm (1.17.4-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Add support for g_autoptr and liblightdm-gobject
    - Fix dm-tool add-local-seat not working because LightDM is trying to
      connect with TCP/IP (LP: #1529454)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 25 Jan 2016 17:13:18 +1300

lightdm (1.17.3-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Don't enable the hardware cursor in Unity System Compositor anymore.
      Unity 8 now correctly provides its own cursor and other shells should too
      (LP: #1517615)
  * debian/guest-session.profile:
    - Fix guest session dialog sleep (LP: #1526004)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Dec 2015 13:12:24 +1300

lightdm (1.17.2-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Handle XDMCP Request packet with no addresses. (LP: #1516831)
    - Don't start LightDM if the XDMCP server is configured with a key that
      doesn't exist. (LP: #1517685)
    - Add IP addresses to XDMCP log messages.
    - Refactor XDMCP error handling.
    - Add more XDMCP tests.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 20 Nov 2015 15:34:08 +1300

lightdm (1.17.1-0ubuntu2) xenial; urgency=medium

  * debian/guest-session-setup.sh:
    - don't error out if there is no prefs.sh configuration,
      should fix the guest session not starting in xenial (lp: #1515704)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Nov 2015 11:52:06 +0100

lightdm (1.17.1-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Add a backup-logs option that can be used to disable existing logging
      files having a .old suffix added to them.
    - Add LC_PAPER, LC_NAME, LC_ADDRESS, LC_TELEPHONE, LC_MEASUREMENT and
      LC_IDENTIFICATION variables to the list of inherited locale variables.
      (LP: #1511259)
    - Implement XDMCP ForwardQuery. (LP: #1511545)
    - Fix small memory leak in XDMCP logging code. 

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 03 Nov 2015 16:28:54 +1300

lightdm (1.17.0-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Disable log backups - this interferes with logrotate.
    - Support using libaudit to generate audit events.
    - Handle trailing whitespace on boolean values in configuration.
    - Update example configuration to more correctly match allowed options.
    - Fix unnecessary X server from being launched when locking seats.
    - Check the version of the X server we are running so we correctly pass
      -listen tcp when required.
    - Allow reading /proc/<PID>/net/dev from within a guest session.
      (LP: #1442609)
    - Allow guest sessions to write in /{,var/}run/screen folder.
      (LP: #1442611)
    - Update guest-session AppArmor profile to be suitable for openSUSE.
    - Fix apparmor profiles for running Chromium in guest sessions.
      (LP: #1504049, LP: #1464958)
    - Fix configure failing without Vala installed.
  * Build with multi-arch
  * debian/lightdm.logrotate:
    - Use logrotate to handle log files placed in the default system log
      directory (/var/log/lightdm).
  * debian/guest*:
    - Optimize guest account creation, use OverlayFS of AuFS if available.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 28 Oct 2015 15:02:46 +1300

lightdm (1.16.0-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - Update default configuration better explaining the seat configuration name
      matching and dropping references to the obsolete [SeatDefaults] section

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Sep 2015 10:52:54 +1200

lightdm (1.15.3-0ubuntu3) wily; urgency=medium

  * debian/lightdm.postrm:
    - Don't remove the lightdm user/group on package removal. This fails if the
      user is still in use and leaves the risk of another user being created
      with the same UID. (LP: #924224)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 26 Aug 2015 09:35:56 +0100

lightdm (1.15.3-0ubuntu2) wily; urgency=medium

  * debian/lightdm.lightdm-greeter.pam:
  * debian/lightdm.pam:
    - Load pam_kwallet5 in pam profile (kwallet and kwallet5 are distinct
      entities requiring sepreate unlocking)

 -- Harald Sitter <sitter@kde.org>  Mon, 24 Aug 2015 12:50:00 +0200

lightdm (1.15.3-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - Drop Xorg option -sharevts. It's no longer required for non-seat0 X
      servers since xorg-server release 1.16.
  * debian/patches/autologin-session-workaround.patch:
    - Workaround faulty setting from user-setup package (LP: #1484083)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Aug 2015 10:39:27 +1200

lightdm (1.15.2-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Add build-depends on valac

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 10 Aug 2015 16:38:04 +1200

lightdm (1.15.2-0ubuntu1) wily; urgency=medium

  [ Robert Ancell ]
  * New upstream release:
    - Support Wayland sessions. (LP: #888391)
    - Implement autologin-session option.    
    - Generate Vala bindings from GIR instead of manually writing them. This
      fixes some small bugs in both the Vala and GIR bindings.
    - Don't remove autotools generated files in distclean.
  * debian/control:
    - Use standards version 3.9.6
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

  [ Gunnar Hjalmarsson ]
  * debian/lightdm-session:
    - Prevent ~/.bashrc from being sourced when ~/.profile is sourced.
      (LP: #1482641)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 10 Aug 2015 16:11:13 +1200

lightdm (1.15.1-0ubuntu2) wily; urgency=medium

  * debian/guest-session-auto.sh:
    - Disable screenlocks for guest sessions on MATE, XFCE, Pantheon
      (LP: #1481804)
  * debian/control:
    - Switch build-depends from transitional libgcrypt11-dev to libgcrypt20-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Aug 2015 12:50:38 +1200

lightdm (1.15.1-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - Fix default X server command set to XMir in 1.15.0.
    - Internally merge the [SeatDefaults] and [Seat:*] sections together. The
      previous method meant configuration snippets using a mix of old and new
      naming would not correctly override eachother.
    - Use IP address of XDMCP requests to contact X server if available.
      (LP: #1481561)
    - Add an option for XDMCP and VNC servers to only listen on one address.
      (LP: #1390808)
    - Fix configuration file warnings so they go to the log, not stderr.
    - Warn if deprecated options logind-load-seats or xdg-seat are in
      configuration. (LP: #1468057)
    - Improve IP addresses in XDMCP log messages.
    - Fix typo in dm-tool man page. (LP: #1470587)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Aug 2015 16:53:39 +1200

lightdm (1.15.0-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - Deprecate [SeatDefaults] in favour of [Seat:*]
    - Use new Xmir binary when running X under Unity System Compositor

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 18 May 2015 13:38:23 +1200

lightdm (1.14.0-0ubuntu2) vivid; urgency=medium

  * Quiesce initctl errors when not running under upstart. (LP: #1414420)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Apr 2015 14:37:17 +0200

lightdm (1.14.0-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Initialize file descriptor handles so we don't attempt to close stdin by
      accident.
    - Fix small errors detected by scan-build (clang).

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 24 Mar 2015 10:25:22 +1300

lightdm (1.13.2-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Fix pipe file descriptor leak for each greeter session. (LP: #1190344)
    - Support active session changing via logind. (LP: #1371378)
    - Don't allow liblightdm-gobject to be disabled. It is required for
      liblightdm-qt and the tests so it's not worth supporting builds without
      it.
    - Add bash autocompletion support
  * debian/lightdm.install:
    - Install autocompletion configuration

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 Mar 2015 14:54:29 +1300

lightdm (1.13.1-0ubuntu2) vivid; urgency=medium

  * debian/guest-account.sh:
    - Rename variables to make script compatible with Bash (LP: #1411100)
  * debian/control:
    - Set required version of bash

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 21 Jan 2015 12:20:42 +1300

lightdm (1.13.1-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Don't attempt generate D-Bus seat/session removal signals on shutdown.
    - Add missing method QLightDM::Greeter::cancelAutologin

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 14 Jan 2015 14:00:02 +1300

lightdm (1.13.0-0ubuntu2) vivid; urgency=medium

  * debian/config-error-dialog.sh:
  * debian/lightdm-session:
    - Use bash for the session to improve error handling (LP: #678421)
  * debian/control:
    - Depend on bash

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Nov 2014 11:28:11 +1300

lightdm (1.13.0-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - Fix crash when having configuration keys defined in multiple places
      (LP: #1377373)
    - Fix pipe file descriptor leak for each session login / authentication
      (LP: #1190344)
    - Use correct syntax for DesktopNames key in session files (LP: #1383321)
    - Match seat configuration with globbing (LP: #1364911)
    - Allow user switching in multi-seat until bug stopping greeter showing on
      logout is fixed
    - Disable log message when AccountsService users change (LP: #1376357)
    - Update AppArmor scripts, requires AppArmor 2.9
    - Update tests to run better on servers
  * debian/config-error-dialog.sh:
    - Show warning dialog instead of interrupted login if syntax error in
      ~/.profile etc (LP: #678421)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Nov 2014 11:08:17 +1300

lightdm (1.12.0-0ubuntu2) utopic; urgency=medium

  * Restore 1.11.9-0ubuntu2, it was reverted by error in the previous upload

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 30 Sep 2014 11:25:09 +0200

lightdm (1.12.0-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Fix assumption that the display server is X when running scripts.
      (LP: #1305006)
    - Don't access .dmrc files until information from these files is required.
      (LP: #1370852)
  * debian/patches/01_transition_ubuntu2d_ubuntu_desktop.patch:
    - Dropped, Unity 2D doesn't exist and all users will have been migrated in
      14.04 LTS

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 30 Sep 2014 15:11:51 +1300

lightdm (1.11.9-0ubuntu2) utopic; urgency=medium

  * debian/patches/06_apparmor-unix.patch: update for addr= rules
  * debian/patches/07_apparmor-chrome.patch:
    - allow new path to Google Chrome (LP: #1361372)
    - allow read of @{PROC}/[0-9]*/statm
  * debian/patches/08_apparmor-updates.patch:
    - allow 'rw' on /etc/compizconfig/unity.ini (continue workaround for
     LP: 697678)
    - allow read of @{PROC}/sys/vm/overcommit_memory
    - allow write to /run/uuidd/request

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 18 Sep 2014 12:18:12 -0500

lightdm (1.11.9-0ubuntu1) utopic; urgency=medium

    * New upstream release:
     - Don't check the logind CanGraphical seat property unless
       login-check-graphical option is set to true. There are too many cases of
       drivers that don't set the appropriate flags for this feature to work.
       (LP: #1365336)
     - Make socket writing code used between greeter and daemon more robust to
       errors.
     - Fix small memory leaks.
     - Improve logging messages.
     - Test improvements.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 10 Sep 2014 15:47:36 +1200

lightdm (1.11.8-0ubuntu2) utopic; urgency=medium

  * debian/patches/06_apparmor-unix.patch: updates for unix socket mediation
    (LP: #1362199)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 05 Sep 2014 17:34:03 -0500

lightdm (1.11.8-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Rework logind code that gets session ID. The previous method was racy
      and a change in lightdm 1.11.7 led to a lockup when this race occurred.
      (LP: #1364725)
    - Handle CanGraphical property on logind seats

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 03 Sep 2014 17:26:36 +1200

lightdm (1.11.7-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Use logind to provide the list of seats to use. Deprecate the old method
      of manually defining seats.
    - Add --show-config option that shows combined configuration.
    - Drop the surfaceflinger seat type. This was a temporary solution while
      Ubuntu Phone was migrating to Mir.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 27 Aug 2014 16:25:53 +1200

lightdm (1.11.6-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    * Add a seat option 'allow-user-switching' that can disable all user
      switching for that seat
    * Add a new session type 'mir-container' that allows the session to run
      inside a custom system compositor (LP: #1359332)
    * Only seat0 takes VT from Plymouth
    * Removed unused GAsyncResultIface.is_tagged as this attribute was not
      available in earlier versions of Glib I/O.
    * Abort autogen if yelp-tools not installed
    * Return correct errors for D-Bus calls

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 22 Aug 2014 09:10:29 +1200

lightdm (1.11.5-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Make PAM services configurable (LP: #1348251)
  * debian/guest-account:
  * debian/lightdm.install:
  * debian/rules:
  * debian/patches/05_translate_debian_files.patch:
    - Make the real name of a guest account translatable (LP: #1177713)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 28 Jul 2014 13:40:46 +1200

lightdm (1.11.4-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Do timed autologin each time you are returned to the greeter
    - Fix tests failing with Qt 5.3 due to it checking getuid/geteuid which we are faking
    - dm-tool: Warn if trying to switch to user without username
  * debian/lightdm.service:
    - Don't test for specific installation path

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 01 Jul 2014 15:50:16 +1200

lightdm (1.11.3-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Fix Mir sessions broken with unity-system-compositor 0.3.
    - Add back Vala bindings for LightDM.Greeter.connect_sync - just mark as
      deprecated.
    - Put unity-system-compositor's mir_socket under /run rather than /tmp.
      (LP: #1325995)
    - Fix building with clang (3.5) and -Werror.
    - Correct section name in default users.conf file.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 05 Jun 2014 16:07:14 +1200

lightdm (1.11.2-0ubuntu3) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 11:09:29 +0100

lightdm (1.11.2-0ubuntu2) utopic; urgency=medium

  * Integration plymouth systemd system job with plymouth services.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 17 May 2014 19:18:41 +0100

lightdm (1.11.2-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Add liblightdm method to get user UID
    - DBus-activate logind
    - Check for libgcrypt at configure time

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 May 2014 10:55:37 +1200

lightdm (1.11.1-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Allow greeters to remain runing to reduce startup time when switching to a
      greeter
    - Add asynchronous methods to liblightdm 
  * debian/lightdm.upstart:
    - Respawn lightdm daemon if it is unexpectedly closed

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 06 May 2014 17:07:44 +1200

lightdm (1.11.0-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - When switching to an existing session refresh PAM credentials and end
      session cleanly so no resources leak. (LP: #1296276)
    - Support new standard DesktopNames field in session files
    - Set XDG_SESSION_TYPE and XDG_SESSION_DESKTOP as used by systemd
    - Emit DBus PropertiesChanged when Sessions/Seats properties change. Also
      add SessionAdded/SessionRemoved signals to Seat interface

  [ Harald Sitter ]
  * Add pam_kwallet to pam configs. (LP: #1305307)
  
  [ Martin Pitt ]
  * Add systemd integration

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 28 Apr 2014 10:32:37 +1200

lightdm (1.10.0-0ubuntu3) trusty; urgency=medium

  * debian/patches/06_apparmor_chromium_updates.patch: allow oxide based
    browsers and Google Chrome to run in the guest session
    - LP: #1298021
    - LP: #1306560

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 11 Apr 2014 09:24:09 -0500

lightdm (1.10.0-0ubuntu2) trusty; urgency=medium

  * Add pam_kwallet to pam configs. (LP: #1305307)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 10:27:18 +0200

lightdm (1.10.0-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Fix return value for Vala bindings to Greeter.start_session_sync
    - Fix logging when failing to find session

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Apr 2014 16:12:46 +1200

lightdm (1.9.15-0ubuntu1) trusty; urgency=medium

  * debian/patches/06_guest_signal_and_ptrace_aa_rules.patch,
    debian/patches/07_guest_proc_pid_stat_aa_rule.patch: Dropped, the fixes
    are upstream

 -- Tyler Hicks <tyhicks@canonical.com>  Mon, 07 Apr 2014 10:33:46 -0500

lightdm (1.9.14-0ubuntu2) trusty; urgency=medium

  * debian/patches/06_guest_signal_and_ptrace_aa_rules.patch: Grant
    permission for guest session processes to signal and ptrace each
    other (LP: #1298611)
  * debian/patches/07_guest_proc_pid_stat_aa_rule.patch: Grant permission for
    guest session processes to read /proc/<PID>/stat. This prevents AppArmor
    denial messages caused by bamfdaemon and common utilities such as ps and
    killall. (LP: #1301625)

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 03 Apr 2014 02:48:51 -0500

lightdm (1.9.14-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Pass --enable-hardware-greeter to unity-system-compositor for Mir sessions
      on xlocal seats (LP: #1289072)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 03 Apr 2014 09:07:39 +1300

lightdm (1.9.13-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Handle not getting an X connection when attempting to get X layouts.
      (LP: #1235915)
    - Read config data from both XDG_DATA_DIRS and XDG_CONFIG_DIRS.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Mar 2014 14:45:54 +1300

lightdm (1.9.12-0ubuntu1) trusty; urgency=medium

  [ Robert Ancell ]
  * New upstream release:
    - Ensure X authority is written before X server is started (LP: #1260220)
    - Activate after unlocking a logind session

  [ Gunnar Hjalmarsson ]
  * debian/guest-account:
    - Disable Unity shortcut hint. (LP: #1292178)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Mar 2014 16:49:37 +1300

lightdm (1.9.11-0ubuntu2) trusty; urgency=medium

  * Rebuild against Qt 5.2.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Mar 2014 07:41:22 +0200

lightdm (1.9.11-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Don't use g_hash_table_get_keys_as_array, it's a glib 2.40 feature

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Mar 2014 13:42:04 +1300

lightdm (1.9.10-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Honour session type requested by greeter for guest sessions (LP: #1285132)
    - Log to wtmp and btmp. (LP: #1027805)
    - Implement guest-session config option

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Mar 2014 11:50:38 +1300

lightdm (1.9.9-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Handle signals being received in child processes instead of treating them
      like they are received in the daemon.
    - Set utmp ut_line to the display name (i.e. :0) to match what other
      programs expect (e.g. 'w').
    - Fix lightdm_greeter_ensure_shared_data_dir_sync returning the wrong value.
    - Fix shared data tests so you can run test suite without root again.
    - Be extra careful not to call any non thread safe function after a fork.
    - Fix some small memory leaks detected by valgrind.
    - Fix process shutdown code to stop generating confusing warnings
    - Fix more double removal of source IDs.
    - Test improvements.

  [ Gunnar Hjalmarsson ]
  * debian/patches/04_language_handling.patch:
    - Make lightdm_get_language() return a language with a short form language
      code (LP: #1276072).

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Mar 2014 09:17:15 +1300

lightdm (1.9.8-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Add support for shared user data directories between the greeter and user
      sessions.
    - Refactor LightDMUser and User classes to use the same code internally.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Feb 2014 16:02:35 +1300

lightdm (1.9.7-0ubuntu2) trusty; urgency=medium

  * debian/lightdm.postinst: Guard the chown'ing of /var/lib/lightdm/, it
    might fail on the .gvfs mount. (LP: #1279428)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Feb 2014 18:15:55 +0100

lightdm (1.9.7-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Correctly invoke PAM to change authentication token. (LP: #1270118)
    - Make xdg-seat a core property of a seat and always pass it to X servers.
    - Qt bindings: properly hand over prompt and message type.
    - Add warning flags where they are missing and fix the resulting warnings.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Feb 2014 15:40:20 +0000

lightdm (1.9.6-0ubuntu3) trusty; urgency=medium

  [ Gunnar Hjalmarsson ]
  * debian/guest-session-auto.sh:
    - Export gettext variables.
  * debian/guest-account:
    - Chown $HOME after /etc/guest-session/prefs.sh has been sourced.
  * debian/patches/05_translate_guest_session_dialog.patch:
    - Make the translatable strings in debian/guest-session-auto.sh end up in
      the PO files.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Feb 2014 10:23:52 +0000

lightdm (1.9.6-0ubuntu2) trusty; urgency=medium

  * Clear default tty on lightdm shutdown, to avoid brief display of text
    messages on shutdown. (LP: #967229)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 04 Feb 2014 10:12:05 +0000

lightdm (1.9.6-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Support Mir sessions in xlocal seats by starting a unity system compositor
      for each session.
    - Add --screen and --fullscreen options to "dm-tool add-nested-seat"
    - Don't try to compile liblightdm-qt if liblightdm-gobject will not be
      compiled.
    - Stop greeters warning if sessions directories not present or lightdm.conf
      doesn't exist - this is valid.
    - Fix log name for Mir display servers
    - Fix double removal of source IDs
  * debian/guest-account:
  * debian/guest-session-auto.sh:
  * debian/lightdm.install:
  * debian/rules:
    - Warn users about the temporary nature of a guest session. (LP: #435930)
  * debian/lightdm.install:
  * debian/lightdm.maintscript:
    - Move configuration from /etc to /usr/share so dpkg doesn't keep it around.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Jan 2014 15:51:29 +1300

lightdm (1.9.5-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - In the unity seat, if we don't have proper VT support, fake VT 0 instead
      of a real VT number. This matches what logind expects.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 05 Dec 2013 09:35:42 +1300

lightdm (1.9.4-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Fix issue where VTs are double used when switching sessions.
      (LP: #1256150)
    - Remove lightdm-set-defaults and gdmflexiserver.
    - Add new ability to specify a list of seat types to try, rather than just
      one.
    - Allow Mir sessions in the surfaceflinger seat.
    - Rename the guest session wrapper to have a simpler name.
    - Make sure sessions are associated with the display server before starting
      them.
    - Add a dm-tool man page.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 03 Dec 2013 19:07:28 +1300

lightdm (1.9.3-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Don't pass system user accounts from AccountsService to greeters.
      (LP: #1248541)
    - Fix crash if switching to greeter and it isn't installed. (LP: #1246529)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 07 Nov 2013 15:07:34 +1300

lightdm (1.9.2-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Implement missing guest-wrapper functionality and enable it for Ubuntu.
    - Update AppArmor scripts to work in Ubuntu 13.10.
      (LP: #1243339)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 30 Oct 2013 15:35:23 -0700

lightdm (1.9.1-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Correctly set $XDG_SESSION_CLASS for greeters. This was regressed in 1.7.5
      for ConsoleKit and was never passed to logind. logind/ConsoleKit treat
      greeter sessions without this set as user sessions. This causes greeters
      to show the lightdm user able to be logged in with.
      (LP: #1242939)
    - Set $USER when running the session-setup-script. This is a regression from
      1.7.5. (LP: #1245957)
    - Fix notification of sessions being logged out. This is a regression from
      1.7.5 and caused greeters to show sessions logged in after they had been
      logged out. (LP: #1245295)
    - Refactor liblightdm user scanning to be simpler and more reliable. This
      fixes bugs where some properties wouldn't be updated when they changed in
      accounts service.
    - Add support for a "display-stopped-script" field in lightdm.conf. The
      "display-stopped-script" field allows us to run a script right after
      stopping the display server.
    - Allow dm-tool to run outside of a session if it doesn't need to be.
    - Set $MIR_SERVER_NAME to assign a name to launched sessions. Also use a
      "greeter-" prefix for greeter sessions for the benefit of
      unity-system-compositor.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 30 Oct 2013 14:11:16 -0700

lightdm (1.9.0-0ubuntu2) UNRELEASED; urgency=low

  * debian/50-guest-wrapper.conf:
    - Configure guest session wrapper to use

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 27 Oct 2013 17:34:20 +1300

lightdm (1.9.0-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - Fix crash when starting with existing X servers. This was introduced in
      rev 1651 (lightdm 1.7.0). (LP: #1231841)
    - Fix crash where Process objects are accessed after unref (LP: #1207935)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Oct 2013 12:19:25 +1300

lightdm (1.8.0-0ubuntu1) saucy; urgency=low

  * debian/lightdm-session:
    - Handle xrdb, setxkbmap and xmodmap not being installed (LP: #1236317)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 09 Oct 2013 15:53:56 +1300

lightdm (1.7.18-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Set session environment variables for guest sessions (1.7 regression).
      (LP: #1214504)
    - Don't fail writing X authority if reading it had an error. (LP: #1234400)
    - Update environment variables that we pass to Mir.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Oct 2013 11:57:02 +1300

lightdm (1.7.17-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - surfaceflinger: Set XDG_VTNR=0 if VTs are not available
    - Allow compiling of liblightdm-qt without liblightdm-gobject
    - Add missing documentation for xremote seat options.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 25 Sep 2013 12:06:25 +1200

lightdm (1.7.16-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fix ConsoleKit support broken in 1.7.5
    - Fix --test-mode (LP: #1226544) 
    - Add support for running Surfaceflinger sessions

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Sep 2013 17:42:48 -0400

lightdm (1.7.15-0ubuntu1) saucy; urgency=low

  [ Jeremy Bicha ]
  * Have liblightdm-gobject-1.0 suggest not recommend lightdm
    (LP: #1222155)

  [ Michael Terry ]
  * Set XDG_VTNR=1 as a fallback if using SeatUnity without a functioning
    compositor or working VT switching, so that logind will recognize the VT
    as active.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 11 Sep 2013 11:27:51 -0400

lightdm (1.7.14-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Correctly set permissions on Xauthority file.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Sep 2013 13:06:28 +1200

lightdm (1.7.13-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Correctly set $XDG_CURRENT_DESKTOP for non-autologin sessions
      (LP: #1221803)
    - Fix overallocation of array for strings from greeter.
    - Fix truncation writing card32 in XDMCP server.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Sep 2013 16:08:55 +1200

lightdm (1.7.12-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Add xdg-seat config setting
    - Notify Unity System Compositor of the session being authenticated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Aug 2013 12:59:39 +1200

lightdm (1.7.11-0ubuntu1) saucy; urgency=low

  * New upstream release:
    [ 1.7.11 ]
    - Fix crash when greeter quits due to read watch not being removed
    - Correctly setup Unity System Compositor environment
    - Improve log messages
    [ 1.7.10 ]
    - Fix session locking broken in 1.7.5
    - Load lightdm.conf after lightdm.conf.d/*.conf
    - Also support loading config from /usr/share
    - When switching sessions show a greeter if authentication required
    - Set $XDG_CURRENT_DESKTOP if specified in the xsession file (LP: #1212408)
    - Change logging prefixes to make it easier to troubleshoot multiseat setups
    - Bring Ubuntu packaging in-tree

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 26 Aug 2013 14:48:55 +1200

lightdm (1.7.9-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Correctly set XDG_VTNR for unity sessions that are not autologin.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 30 Jul 2013 18:35:21 +0100

lightdm (1.7.8-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Add support for Mir sessions and greeters.
    - Set XDG_VTNR for unity sessions.
    - Fix desktop-session-start upstart signal not being emitted since 1.7.5.
    - Fix greeter log broken in 1.7.5.
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 30 Jul 2013 15:27:58 +0100

lightdm (1.7.7-0ubuntu2) saucy; urgency=low

  * debian/lightdm.init:
    - Use correct path to daemon (LP: #1204713)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 25 Jul 2013 14:25:48 +1200

lightdm (1.7.7-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fix uninitialized pointer introduced in 1.7.3
    - Enable compile warnings and fix code generating warnings
  * debian/patches/50_ubuntu_fix_uninitialised_pointer.patch:
    - Applied upstream:

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 23 Jul 2013 11:23:47 +1200

lightdm (1.7.6-0ubuntu2) saucy; urgency=low

  * src/main.c: fix up an unitialised pointer in configuration directory
    handling.  (LP: #1203711)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 22 Jul 2013 11:36:05 +0100

lightdm (1.7.6-0ubuntu1) saucy; urgency=low

  * New upstream release:
    [ 1.7.6 ]
    - Restore greeter hints that were regressed in 1.7.5.
    - Don't run greeters through session wrapper - regression in 1.7.5    
    [ 1.7.5 ]
    - Quit Plymouth correctly when using the unity seat type (LP: #1192051)
    - Release the VT when the system compositor fails to start
    - Load sessions and greeters from /usr/share/lightdm/sessions and
      /usr/share/lightdm/greeters. The existing directories are checked
      if the sessions are not in these directories.
    - Refactor the Display class so that it merges with the Seat class
    - Support running the greeter and session in different display servers
      instead of re-using the same one during a login.
    - Add more regression tests
    - Documentation fixes

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 22 Jul 2013 17:13:19 +1200

lightdm (1.7.4-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Set XDG_SEAT and XDG_VTNR environment variables.
    - Add initial support for Unity (i.e. Mir based) seats.
    - Add a greeter wrapper option.
  * debian/50-xserver-command.conf:
  * debian/patches/05_add_xserver_core_option.patch:
    - Use a conf file to replace X server core patch
  * debian/50-greeter-wrapper.conf
  * debian/patches/03_launch_dbus.patch
    - Use a conf file to greeter wrapper patch    

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 01 Jul 2013 15:47:21 +1200

lightdm (1.7.3-0ubuntu2) saucy; urgency=low

  * debian/guest-account: disable screen locking in a more reliable way.
    Rather than trying to write a key for another user, while setting up the
    guest user account, just set up an autostart desktop that will set it 
    during the login (lp: #951000)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Jun 2013 22:30:04 +0200

lightdm (1.7.3-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Load configuration from /etc/lightdm/lightdm.conf.d. (LP: #1190425)
    - Fix compile warnings
    - Fix tests not running from install directory inside checkout.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 21 Jun 2013 14:39:27 +1200

lightdm (1.7.2-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fix .pc file for liblightdm-qt5-3
    - Add a new option "autologin-in-background" which lets an autologin happen
      in a second display while still showing the greeter.
    - Stop if fail to create default seat
    - Add option to set seat type in lightdm-set-defaults
    - Stop using g_file_set_contents - it can leave intermediate files around
    - Make tests work without installing them
    - Fix distcheck
  * debian/patches/06_fix_qt_pcfiles.patch:
  * debian/patches/07_lp1189948.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Jun 2013 14:08:46 +1200

lightdm (1.7.0-0ubuntu6) saucy; urgency=low

  * install apparmor abstractions as 064 (LP: #1189948)
    - debian/patches/07_lp1189948.patch: adjust Makefile.am and Makefile.in
      to use install --mode=0644
    - debian/lightdm.postinst: chmod apparmor abstractions to 0644 on upgrade

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 11 Jun 2013 14:11:34 -0500

lightdm (1.7.0-0ubuntu5) saucy; urgency=low

  * Drop XS-Testsuite header. We don't actually have any autopkgtests right
    now (they are commented out in debian/tests/control and are broken).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 06:58:11 +0200

lightdm (1.7.0-0ubuntu4) saucy; urgency=low

  * Install some files in liblightdm-qt-dev, so it's somewhat useful.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 24 May 2013 00:31:31 -0600

lightdm (1.7.0-0ubuntu3) saucy; urgency=low

  * Switch to unversioned -dev package for liblightdm-qt to match Debian and
    avoid having to change other packages synced from Debian
  * Swtich Conflicts to Breaks and add liblightdm-qt-3-dev to Breaks/Replaces

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 May 2013 00:37:06 -0400

lightdm (1.7.0-0ubuntu2) saucy; urgency=low

  * Cherry-pick patches from upstream to fix liblightdm-qt{,5} pcfiles. 
  * Refresh patches to apply cleanly 

 -- Iain Lane <iain.lane@canonical.com>  Tue, 07 May 2013 17:36:29 +0100

lightdm (1.7.0-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * New upstream release:
    - Use logind instead of ConsoleKit if it is available
    - Use Q_SLOTS and Q_SIGNALS instead of slots and signals.
    - Ignore stale X server locks
    - Pass through system locale or set locale from AccountsService/.dmrc
    - Fix bug where seat failure before D-Bus acquired would not stop daemon
  * debian/control:
    - liblightdm-qt-2 -> liblightdm-qt-3
  * debian/patches/06_qt_no_keywords.patch:
    - Applied upstream
    
  [ Gunnar Hjalmarsson ]
  * debian/patches/04_language_options.patch:
    - Applied upstream
  * debian/patches/04_language_handling.patch:
    - Set LANGUAGE instead of LANG, since the Language property in
      accountsservice as patched for Ubuntu does not contain a valid
      locale name.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 02 May 2013 10:20:02 -0700

lightdm (1.6.0-0ubuntu2.1) raring-proposed; urgency=low

  * lightdm.upstart: Add a start condition on plymouth-ready, and
    drop conditions already handled by plymouth-splash (LP: #982889).
  * control: Depend on the new plymouth version that provides plymouth-ready.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 23 Apr 2013 12:10:28 +0300

lightdm (1.6.0-0ubuntu2) raring; urgency=low

  * debian/patches/06_qt_no_keywords.patch:
    - Don't use Qt keywords like slots and signals in headers.  Instead,
      use Q_SLOTS and Q_SIGNALS.  This avoids breaking builds of projects
      that define QT_NO_KEYWORDS.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 15 Apr 2013 11:31:15 -0400

lightdm (1.6.0-0ubuntu1) raring; urgency=low

  * New upstream bugfix release:
    - Allow VNC command to be specified in lightdm.conf
    - Register enums with QObject meta type system.
  * debian/watch:
    - Watch for .xz releases

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 15 Apr 2013 11:01:22 +1200

lightdm (1.5.3-0ubuntu1) raring; urgency=low

  * New upstream bugfix release:
    - Fix build with gobject-introspection 1.35.9
    - Fix authentication cancel regression caused in 1.5.2 (LP: #1163456)
  * debian/patches/fix-ftbfs-gir-scanner.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 03 Apr 2013 15:55:16 +1300

lightdm (1.5.2-0ubuntu2) raring; urgency=low

  * Pass --symbol-prefix via LightDM_1_gir_SCANNERFLAGS rather than
    LightDM_1_gir_CFLAGS, fixing build failure with
    gobject-introspection >= 1.35.9.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 02 Apr 2013 12:51:14 +0100

lightdm (1.5.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release:
    * Fix stale X server being left behind when using LockSession D-Bus API
      (LP: #1005813)
    * Adjust AppArmor profile to also work with logind
    * Don't use GIO to access X authority files - it uses GVFS which is
      unnecessary overhead/complexity
    * Handle over/underflows when reading from greeter
    * Improve warning message when XDMCP packet has length mismatch
    * Only report test command line if it fails
    * Add more regression tests

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 27 Mar 2013 14:44:44 +1300

lightdm (1.5.1-0ubuntu2) raring; urgency=low

  * debian/lightdm.upstart: Clear the virtual terminal after starting lightdm
    so startup messages are not displayed when switching users or when
    suspending (LP: #967229)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Mar 2013 14:33:46 -0700

lightdm (1.5.1-0ubuntu1) raring; urgency=low

  * New upstream release:
    [ 1.5.0 ]
    - Add man page for lightdm-set-defaults (LP: #1044485)
    - Use xzip for distribution, don't distribute old metadata
    - Correctly check if display is active when session quits
    - Relicense liblightdm to LGPL-2/LGPL-3 so GPL-2 code can link against it
    - Selectively lock memory rather than calling mlockall for main daemon
    [ 1.5.1 ]
    - QLightDM: Add Qt5 version of the library: liblightdm-qt5-2 (LP: #1117355)
    - QLightDM: Add some missing role names in UsersModel
    - QLightDM: Add a backgroundPath role to UsersModel
    - QLightDM: Fix potential crash in QLightDM::UsersModel closedown.
    - Improve guest session apparmor
    - Run each test in its own /tmp dir so they can't interfere with eachother
    - Fix script hooks no longer working with latest glib (LP: #1128474)
    - Fix display clean up code
  * debian/control:
    - Use standards version 3.9.4
    - Drop bzr branch
    - Build-depend on qtbase5-dev
    - Add new Qt 5 packages
  * debian/patches/08_lp1059510.patch:
  * debian/patches/09_lp577919-fix-chromium-launch.patch:
  * debian/patches/10_selective_mlock.patch:
  * debian/patches/11_runtime_dir_access.patch:
     - Applied upstream
  * debian/source/format:
    - Use 3.0

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 08 Mar 2013 11:06:52 +1300

lightdm (1.4.0-0ubuntu5) raring; urgency=low

  * Add 11_runtime_dir_access.patch: Allow guest session to write
    /run/user/<username>/. (LP: #1131139)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 25 Feb 2013 14:44:18 +0100

lightdm (1.4.0-0ubuntu4) raring; urgency=low

  * Update pam configs to call pam_env last and use user_readenv=1
    explicitly, so that ~/.pam_environment can always be read even when
    home directories are encrypted with ecryptfs.  LP: #952185.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Feb 2013 12:57:29 -0800

lightdm (1.4.0-0ubuntu3) raring; urgency=low

  [ Michael Terry ]
  * debian/02_disable_tests.patch, debian/rules:
    - Drop patch, disable test suite during build by just overriding
      dh_auto_test.  This way we can still manually run tests
  * debian/control, debian/tests:
    - Add dep8 tests to run upstream test suite.  The suite only works once
      lightdm is installed into PREFIX.  So we must run via dep8.
      Disabled for now until the next upstream release.
  * debian/patches/05_add_xserver_core_option.patch:
    - Modify test X server to also accept -core
  * debian/patches/10_selective_mlock.patch:
    - Backport patch from upstream to not use mlockall for the daemon
      (LP: #1074279)
  * debian/rules:
    - Use ./autogen.sh when running dh_autoreconf

  [ Matt Fischer ]
  * debian/lightdm.install:
    - Remove duplicate entry /usr/share/man
    - Install apport hook
  * debian/lightdm.postinst:
    - Fix ownership of /var/lib/lightdm
  * debian/lightdm.postrm:
    - Correctly remove /var/lib/lightdm on uninstall
  * debian/source_lightdm.py:
    - Update apport hook

 -- Michael Terry <mterry@ubuntu.com>  Thu, 31 Jan 2013 11:05:23 -0500

lightdm (1.4.0-0ubuntu2) quantal; urgency=low

  * debian/patches/01_transition_ubuntu2d_ubuntu_desktop.patch:
    - Fix 2d->3d transition to handle new support for accountsservice
      LP: #1059137

 -- Michael Terry <mterry@ubuntu.com>  Tue, 09 Oct 2012 10:26:43 -0400

lightdm (1.4.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release.
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated
  * debian/patches/06_add_remote_login_hint.patch:
  * debian/patches/07_fix_types_in_vapi.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 05 Oct 2012 17:33:21 +1300

lightdm (1.3.3-0ubuntu5) quantal; urgency=low

  * debian/patches/08_lp1059510.patch: allow owner 'rw' access to
    /{,var/}run/user/guest-*/dconf/user. Also allow owner writes to sockets in
    /{,var/}run/user/guest-*/keyring-*/. (LP: #1059510)
  * debian/patches/09_lp577919-fix-chromium-launch.patch: allow launch of
    chromium-browser from guest session. (LP: #577919)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 01 Oct 2012 10:15:51 -0500

lightdm (1.3.3-0ubuntu4) quantal; urgency=low

  * debian/patches/06_add_remote_login_hint.patch,
    debian/liblightdm-gobject-1-0.symbols:
    - Add a greeter hint to disable remote login support, and turn it
      on by default.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 11 Sep 2012 11:42:17 -0400

lightdm (1.3.3-0ubuntu3) quantal; urgency=low

  * debian/patches/06_disable_remote_login.patch:
    - Drop patch, thereby enabling Remote Login support (LP: #1040221)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 07 Sep 2012 11:40:01 -0400

lightdm (1.3.3-0ubuntu2) quantal; urgency=low

  * debian/patches/07_fix_types_in_vapi.patch:
    - Patch from upstream to fix a broken vapi when trying to use
      a couple enums

 -- Michael Terry <mterry@ubuntu.com>  Thu, 06 Sep 2012 17:26:01 -0400

lightdm (1.3.3-0ubuntu1) quantal; urgency=low

  [ Robert Ancell ]
  * New upstream release:
    - Add a new remote session type. These sessions create a temporary local
      account and authenticate against a remote server. The session is an
      application that accesses that remote session (e.g. VNC, RDP etc)
    - Support multiple simultaneous PAM prompts (LP: #1043593)
    - Set utmp ut_host field to the X display address (LP: #1027760)
    - Correctly reap unused authentication sessions (LP: #990661)
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

  [ Michael Terry ]
  * debian/patches/06_disable_remote_login.patch:
    - Always return an error when trying to log in to remote sessions,
      until the FFe is granted (which is bug 1040221)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 30 Aug 2012 10:15:16 +1200

lightdm (1.3.2-0ubuntu3) quantal; urgency=low

  [ Christopher James Halse Rogers ]
  * debian/patches/05_add_xserver_core_option.patch:
    - Pass '-core' to the X server, which will cause it to dump core when
      crashing. This will trigger apport, so we'll get more reliable crash
      reports from X server crashes.

  [ Didier Roche ]
  * debian/patches/01_transition_ubuntu2d_ubuntu_desktop.patch:
    - unity-2d is not supported anymore and won't be port to gsettings,
      transition people using the 2d session to the 3d one. llvmpipe
      will be use if no hardware acceleration is available (LP: #1035261)
  * debian/patches/01_transition_gnome_ubuntu_desktop.patch:
    - removed, not needed anymore

  [ Scott Kitterman ]
  * Add lightdm-kde-greeter as an alternate recommends for lightdm

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 15 Aug 2012 08:41:55 +0200

lightdm (1.3.2-0ubuntu2) quantal; urgency=low

  * Update guest-account script to not depend on Gnome and to set
    various KDE settings LP: #1028552

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Aug 2012 16:37:49 +0100

lightdm (1.3.2-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Handle clearenv() not being defined
    - Fix compilation with GCC 4.7
    - Expose remaining properties in QLightDM::Greeter
    - Fix utmp records being written before child process created

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Jul 2012 18:44:05 +1200

lightdm (1.3.1-0ubuntu2) quantal; urgency=low

  * debian/control:
    - Add build-depends on yelp-tools

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 21 Jun 2012 15:22:59 +1200

lightdm (1.3.1-0ubuntu1) quantal; urgency=low

  * New upstream release:
    - Don't set PAM_XDISPLAY or PAM_XAUTHDATA if not supported
    - Add lock-memory option, enabled by default, to prevent paging memory
      to disk.
    - Write utmp records for sessions
    - Install PAM configuration
    - Run greeters inside the "lightdm-greeter" PAM service
    - Handle setresgid and setresuid not being available
    - Use xsession directory from lightdm.conf in liblightdm
  * debian/rules:
    - Install lightdm-greeter PAM config
  * debian/lightdm.lightdm-greeter.pam:
    - PAM configuration for greeters

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 21 Jun 2012 11:47:33 +1200

lightdm (1.2.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Fix wrapper path in AppArmor profile (broken since 1.1.1)
    - Add show-manual-login and allow-guest options to lightdm-set-defaults  

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 18 Apr 2012 18:37:47 +1000

lightdm (1.2.0-0ubuntu2) precise; urgency=low

  * Fix wrapper path in AppArmor profile. This got broken in 1.1.1. Patch also
    committed upstream, and cherry-picked (r1487) (LP: #975901)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Apr 2012 11:06:03 +0200

lightdm (1.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Backup .xsession-errors on login (LP: #951597)
    - Handle failures in pam_setcred
    - Open log files in append mode (LP: #951597)
    - Add extra checks in liblightdm so that it doesn't send invalid messages
      to the daemon (LP: #969023)
    - Fix gdmflexiserver not being added to the path (broken since 1.1.4)
      (LP: #953554)
    - Fix PAM conversations after authentication from locking up sessions
      (LP: #956848)
    - Fix PAM informational messages locking up autologin
    - Change XDMCP manage timeout from 10ms to 126s (maximum specified in the
      XDMCP specification)
    - Fix greeter-show-guest example (LP: #972711)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 05 Apr 2012 17:26:50 +1000

lightdm (1.1.9-0ubuntu2) precise; urgency=low

  * debian/lightdm-session:
    - include some Xsession macros used by Xsession.d scripts (lp: #900221)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Mar 2012 12:52:34 +0200

lightdm (1.1.9-0ubuntu1) precise; urgency=low

  [ Gunnar Hjalmarsson ]
  * debian/guest-account: Add trailing '/' to the line
    "gs_skel=/etc/guest-session/skel" (LP: #956152).

  [ Robert Ancell ]
  * New upstream release:
    * Add --show-users/--hide-users to lightdm-set-defaults
    * Call initgroups before pam_setcred - this allows pam_setcred to change
      group membership correctly (LP: #880104)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 22 Mar 2012 16:48:59 +1100

lightdm (1.1.8-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Handle PAM interactions that have more than one message in one callback
      (LP: #951460)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Mar 2012 12:57:30 +1100

lightdm (1.1.7-0ubuntu2) precise; urgency=low

  * debian/guest-account: Fix arbitrary file deletion in removal of guest
    files in /tmp. Use find/xargs with 0 separators instead of spaces.
    (LP: #953044, CVE-2012-0943)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2012 14:53:10 +0100

lightdm (1.1.7-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 09 Mar 2012 15:28:40 +1100

lightdm (1.1.6-0ubuntu1) precise; urgency=low

  * Upload the new version to Ubuntu
  * Reshuffle a bit the vcs to use merge upstream correctly

  [ Robert Ancell ]
  * New upstream release:
    - Fix session wrapper working the same as it did in 1.1.3 (lp: #944736)
    - Stop file descriptors leaking into the session processes (lp: #927060)

  [ Martin Pitt ]
  * debian/control: Fix liblightdm-gobject-1-doc architecture to "all".

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Mar 2012 13:45:29 +0100

lightdm (1.1.4.is.1.1.3-0ubuntu3) precise; urgency=low

  * debian/lightdm.postinst: Drop the disable-while-typing gsettings call
    again. The Unity greeter already disables the mouse plugin these days, and
    other known greeters do not use g-s-d.
  * debian/lightdm.dirs: Really add /etc/X11/, revision 1077 did not actually
    do it. (LP: #921169)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Mar 2012 13:10:46 +0100

lightdm (1.1.4.is.1.1.3-0ubuntu2) precise; urgency=low

  [ Matt Fischer ]
  * debian/lightdm.dirs:
    - Add /etc/X11/ so lightdm.postinst doesn't fail on systems without X
      installed (LP: #921169)

  [ Martin Pitt ]
  * debian/lightdm.postinst: Disable disable-while-typing touchpad setting for
    GNOME; we do not really need this feature in lightdm, and multiple
    syndaemon instances cause the touchpad to stop working sometimes. Add
    libglib2.0-bin dependency for this. (LP: #868400)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 05 Mar 2012 12:36:04 +0100

lightdm (1.1.4.is.1.1.3-0ubuntu1) precise; urgency=low

  * Revert to 1.1.3 until we can figure out proper solution to bug 944736

 -- Michael Terry <mterry@ubuntu.com>  Fri, 02 Mar 2012 15:03:26 -0500

lightdm (1.1.4-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Change session directory once user permissions are set so it works
      on NFS filesystems that don't allow root to access files. (LP: #877766)
    - Restructure session code so the PAM authentication is run in its
      own process. (LP: #881466)
    - Set PAM_XDISPLAY and PAM_XAUTHDATA pam items (LP: #862559)
    - Don't send session stdout to .xsession-errors
    - Fix Qt bindings crash when removing a user

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 01 Mar 2012 20:54:07 +1100

lightdm (1.1.3-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Actually return the system default keyboard layout, not just 'us'
    - Add keyboard layout variants to list of keyboard layouts
    - Check accountsservice as well as .dmrc for users' layouts
    - Add lightdm_user_get_layouts() to query the configured list of layouts
      on a per-user basis
    - Add Lock D-Bus method that locks the seat and provides a hint to the
      greeter to be in lock mode.
    - Automatically lock sessions when switching away from them
    - Add a has-messages property to liblightdm
    - Add regression tests for PAM modules changing usernames
    - Don't use g_key_file_unref, it requires glib 2.32

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 15 Feb 2012 20:15:08 +1100

lightdm (1.1.2-0ubuntu3) precise; urgency=low

  * debian/patches/05_keyboard_indicator.patch:
    - Backported patch from trunk to fix various keyboard layout issues
      preventing greeter keyboard indicators from working.
      LP: #919199, LP: #919200, LP: #915468

 -- Michael Terry <mterry@ubuntu.com>  Sun, 12 Feb 2012 19:37:51 -0500

lightdm (1.1.2-0ubuntu2) precise; urgency=low

  * Redo the previous update using merge-upstream in the package vcs so the
    new version is not reverted in the diff.gz...
  * 00upstream_set-defaults_autologin_support.patch:
    - dropped, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 12 Feb 2012 13:01:15 +0100

lightdm (1.1.2-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Add regression tests for getting the user language and layout
    - Stop accidentally distributing libsystem
    - Fix introspection bindings not containing any methods (LP: #920810)
    - lightdm-set-defaults can now set the autologin user
    - Add Python greeter regression tests (representative of all introspection
      based greeters)
    - Wait for the VT to become active when switching to avoid a suspected
      race condition somewhere between LightDM, X, ConsoleKit and the kernel.
      (LP: #851612)
    - Stop lightdm_greeter_start_session_sync() blocking on success.
  * debian/lightdm.prerm:
    - Fix incorrect location of lightdm binary (found by Rolf Anders)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 10 Feb 2012 17:32:47 +1100

lightdm (1.1.1-0ubuntu4) precise; urgency=low

  * Add 00upstream_set-defaults_autologin_support.patch: Add support for
    setting autologin-user in lightdm-set-defaults. Committed to and
    backported from trunk.
  * debian/lightdm.postinst: Migrate autologin configuration from gdm on first
    installation. (LP: #854431)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Jan 2012 08:25:03 +0100

lightdm (1.1.1-0ubuntu3) precise; urgency=low

  [ Aurélien Gâteau ]
  * debian/control, liblightdm-qt*.install:
    - Rename liblightdm-qt packages to match upstream changes
    - Conflicts, Replaces with the buggy version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jan 2012 11:34:41 +0100

lightdm (1.1.1-0ubuntu2) precise; urgency=low

  * debian/patches/04_language_options.patch:
    - Replace 'locale -a' output with accountsservice's list of
      language options (LP: #918225).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 18 Jan 2012 16:10:29 +0100

lightdm (1.1.1-0ubuntu1) precise; urgency=low

  * New upstream release:
    * Support PAM requesting a change of password (lp: #911597)
    * Support for reading users' backgrounds from Accounts Service 
      (lp: #844081)
    * Switching to a user without a password bypasses the greeter
      (lp: #861177)      
    * Move the GTK+ and Qt greeters into their own projects
  * Drop the gtk and qt greeters packaging files from this source
  * debian/liblightdm-gobject-1-0.symbols:
    - list new lightdm_user_get_background symbol
  * debian/patches/04_CVE-2011-4105.patch,
    debian/patches/05_CVE-2011-3153.patch,
    debian/patches/09_show_lang_chooser_option.patch,
    debian/patches/10_available_languages.patch,
    debian/patches/11_set_language_in_accountsservice.patch:
    - dropped, those issues are fixed in the new version or apply to the
      gtk greeter which is moved to its own source
  * debian/rules:
    - install lightdm-set-defaults back to its previous location

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Jan 2012 11:10:03 +0100

lightdm (1.0.6-0ubuntu4) precise; urgency=low

  [ Gunnar Hjalmarsson ]
  * debian/lightdm-gtk-greeter-ubuntu.conf and
    debian/patches/09_show_lang_chooser_option.patch:
    - Disclose the option to enable the language chooser.
  * debian/patches/10_available_languages.patch:
    - If available, show a list of installed translations in the
      language chooser instead of a 'locale -a' list (LP: #868346).
    - Use nl_langinfo() to get language and country names for the
      language chooser labels.
    - Translate language and country names.
    - Handle @variants properly.
  * debian/patches/11_set_language_in_accountsservice.patch:
    - Save item that is selected from the language chooser also when
      AccountsService is in use (LP: #868346).

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Nov 2011 12:41:43 +1100

lightdm (1.0.6-0ubuntu3) precise; urgency=low

  * SECURITY UPDATE: file contents disclosure via hard link
    - debian/patches/04_CVE-2011-4105.patch: make sure file isn't a symlink
      or a hard link before doing the chown on it.
    - CVE-2011-4105
  * SECURITY UPDATE: file contents disclosure via links (LP: #883865)
    - debian/patches/05_CVE-2011-3153.patch: drop privileges before
      accessing file.
    - CVE-2011-3153

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Nov 2011 14:23:53 -0500

lightdm (1.0.6-0ubuntu2) precise; urgency=low

  * Upload to precise.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Nov 2011 07:19:12 +0100

lightdm (1.0.6-0ubuntu1) oneiric-proposed; urgency=low

  [ Martin Pitt ]
  * debian/lightdm.upstart: Put back check for "text" in kernel command line,
    for inhibiting automatic lightdm start. Check $JOB to still allow a manual
    "start lightdm" command to work. (LP: #873334)

  [ Robert Ancell ]
  * New upstream release:
    - Use lchown for correcting ownership of ~/.Xauthority instead of chown

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 02 Nov 2011 11:37:43 -0400

lightdm (1.0.5-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    [1.0.5]
    - Relax AppArmor guest profile to allow compiz to start
    - Connect up VNC settings for width, height, depth
    [1.0.4]
    - Fix --enable-gtk-greeter=yes not working
    - Fix X sessions with arguments in Exec not working
    - Use previous session for automatic login or if greeter does not request
      one. (LP: #834515)
    - Correct ownership of ~/.Xauthority if upgrading from buggy version of
      LightDM that had it root owned. (LP: #871667)
    - Set default resolution of VNC to 1024x768, add settings for width, height,
      depth into lightdm.conf.
    - AppArmor profile: Fix broken gnome-keyring and dbus/gwibber, and quiesce
      annoying kernel audit messages for privileges that we definitively do not
      want to grant. (LP: #877736) (LP: #874635)
    - Set LOGNAME environment variable (LP: #875705)
    - Mark strings as translatable in GTK greeter (LP: #868613)
    [ 1.0.3]
    - Fix reference counting issue in ConsoleKit code
    - Really add the lightdm-guest-session-wrapper
    [ 1.0.2 ]
    - Fix daemon from blocking if Accounts Service does not exist
    - Fix greeter log file not being written
    - Don't set LANG environment variable if using Accounts Service.
    - Fix gdmflexiserver not working due to it not being in PATH
    - Don't authenticate the greeter user
    - Allow greeters to be disabled in configure flags
    - Fix over allocation of read buffer in greeter protocol
    - Make sure objects are cleaned up on exit
    - Fix minor memory leaks
    - Fix hugely oversized allocation in greeter buffer.  Can trigger
      crashes when entering very long passwords.
  * debian/patches/00bzr_guest_session_wrapper.diff:
  * debian/patches/07_long_password_crash.patch:
  * debian/patches/08_correct_ck_ref.patch:
    - Applied upstream
  * New upstream release.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 26 Oct 2011 12:45:17 -0400

lightdm (1.0.1-0ubuntu6) oneiric; urgency=low

  * debian/patches/08_correct_ck_ref.patch:
    - backported fix from Mikkel Kamstrup Erlandsen for a refcounting issue
      which leads to sessions where unity can't start (lp: #851345)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Oct 2011 13:57:44 +0200

lightdm (1.0.1-0ubuntu5) oneiric; urgency=low

  * Add debian/patches/00bzr_guest_session_wrapper.diff: Add back the guest
    session wrapper part that was uploaded in 1.0.0-0ubuntu4. The patch was
    correctly merged into trunk, but the 1.0 branch backport missed this
    wrapper part and thus broke AppArmor protection entirely. (LP: #849027)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 07 Oct 2011 11:47:36 +0200

lightdm (1.0.1-0ubuntu4) oneiric; urgency=low

  * debian/patches/04_language_not_to_LANG.patch:
  * debian/patches/04_dmrc_set_LANG_only.patch:
    - Replace LANG disabling code with proper fix (LP: #868149)
  * debian/patches/03_launch_dbus.patch:
  * debian/patches/05_gdmflexiserver_not_in_PATH.patch:
    - Refreshed
  * debian/patches/06_accounts_service_timeout.patch:
    - Fix D-Bus timeout when accounts service not installed (LP: #866035)
  * debian/patches/07_long_password_crash.patch:
    - Fix crash with long passwords (LP: #817186)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 06 Oct 2011 15:45:21 +1100

lightdm (1.0.1-0ubuntu3) oneiric; urgency=low

  * debian/patches/05_gdmflexiserver_not_in_PATH.patch:
    - Make sure to insert our own utility path into PATH after PAM
      sets PATH, not before.  This ensures gdmflexiserver is present
      in PATH and can be found by gnome-screensaver, gnome-shell, etc.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 05 Oct 2011 09:05:31 -0400

lightdm (1.0.1-0ubuntu2) oneiric; urgency=low

  * debian/patches/04_language_not_to_LANG.patch:
    Locale names based on AccountsService's "Language" key may not
    go to $LANG, as that property is a language name, not a locale.
    (LP: #864618).

 -- Gunnar Hjalmarsson <ubuntu@gunnar.cc>  Wed, 05 Oct 2011 09:49:15 +0200

lightdm (1.0.1-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - GTK greeter now remembers last user
    - GTK greeter now initializes i18n (LP: #862427)
    - Start authentication for automatically selected user in GTK greeter
    - Link liblightdm-qt against QtGui
    - Fix liblightdm-qt crashing when face images are installed (LP: #850095)
    - Set correct permissions on session log files (LP: #863119)
    - Prefer a locale with a codeset over one without for setting LANG
      (LP: #864618)
    - Introduce a lightdm-guest-session-wrapper session command which MAC
      systems like AppArmor and SELinux can use for attaching a restrictive
      policy to guest sessions.
    - Provide an AppArmor profile for guest session lockdown.
  * debian/patches/01_guest_session_lockdown.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 04 Oct 2011 19:58:25 +1100

lightdm (1.0.0-0ubuntu4) oneiric; urgency=low

  * Add 01_guest_session_lockdown.patch: Lock down guest session with an
    AppArmor profile. This uses the very same approach as gdm-guest-session,
    and copies the profile from it. (LP: #849027)
  * 03_launch_dbus.patch: Refresh.
  * debian/lightdm.install: Install AppArmor profile.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Sep 2011 17:30:56 +0200

lightdm (1.0.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/03_launch_dbus.patch:
    - Fix patch applying in the wrong place

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Sep 2011 16:08:20 +1000

lightdm (1.0.0-0ubuntu2) oneiric; urgency=low

  * debian/lightdm-gtk-greeter.postinst,
    debian/lightdm-gtk-greeter.postrm,
    debian/lightdm-gtk-greeter.preinst:
    - move the gtk-greeter conffile starting from 1.0.0-0ubuntu1 and not
      0.9.7-0ubuntu1 (the patch using 0.9.7-0ubuntu1 as a reference has
      been integrated in 1.0.0-0ubuntu1 without being updated even if
      0.9.7-0ubuntu2 was already released). Ensure we do it now (LP: #861316)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 28 Sep 2011 13:40:40 +0200

lightdm (1.0.0-0ubuntu1) oneiric; urgency=low

  [ Steve Langasek ]
  * don't start on graphics-device-added; reintroducing this reverted the fix
    for bug #615549 from maverick without explanation.
  * clean up the completely illegible start rule for debian/lightdm.upstart,
    killing off the unnecessary parentheses
  * debian/lightdm.upstart: when lightdm is shut down by a runlevel call,
    emit an upstart event that can be caught by plymouth so it can
    distinguish between the DM shutting down for a runlevel change vs. other
    causes.  LP: #854329.

  [ Robert Ancell ]
  * New upstream release.
    [ 0.9.8 ]
    - GetSeatForCookie and GetSessionForCookie are now deprecated.  They
      remain for now but use the XDG_SEAT_PATH and XDG_SESSION_PATH
      environment variables instead.
    - Change log filenames to be unique across different display types.
    - Fix up script hooks, add regression tests for them
    - Complete removal of X code from the core of LightDM, so it can better
      support various display types
    - Add ability to set the language of a user from the greeter (LP: #803858)
    - Set LANG variable based on the user language
    - Add language selector into GTK greeter (disabled by default)
    - Allow TCP/IP connections if xserver-allow-tcp is true
    - Allow lightdm --version to be run as non-root
    - Automatically respond to PAM messages without prompts (LP: #783598)
    - Create 'AddLocalXSeat' D-Bus method, and require root to use 'AddSeat'
    - Fix multi-seat configuration picking the same display number (LP: #851362)
    - Use correct D-Bus and power interface in liblightdm-qt (LP: #852803)
    - Run pam_setcred inside the session process so pam_group works
      (LP: #851347)
    - Make sure one session is always selected in the GTK greeter (LP: #819177)
    [ 1.0.0 ]
    - Explicitly grab keyboard focus in GTK greeter
    - Fix removed power and a11y menu items in GTK greeter
    - Put system binary directory into path when running in test mode
      (LP: #860003)
    - Call pam_getenvlist after pam_setcred

  [ Lionel Le Folgoc ]
  * Make the gtk greeter easily themable by derivatives: (LP: #845549)
    - rename lightdm-gtk-greeter.conf to lightdm-gtk-greeter-ubuntu.conf,
      and handle the move in maintainer scripts.
    - manage /etc/lightdm/lightdm-gtk-greeter.conf with update-alternatives,
      by default it uses /etc/lightdm/lightdm-gtk-greeter-ubuntu.conf with a
      very low priority.
  * debian/control: lightdm-gtk-greeter provides lightdm-gtk-greeter-config.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 28 Sep 2011 16:00:20 +1000

lightdm (0.9.7-0ubuntu2) oneiric; urgency=low

  * don't start on graphics-device-added; reintroducing this reverted the fix
    for bug #615549 from maverick without explanation.
  * clean up the completely illegible start rule for debian/lightdm.upstart,
    killing off the unnecessary parentheses
  * debian/lightdm.upstart: when lightdm is shut down by a runlevel call,
    emit an upstart event that can be caught by plymouth so it can
    distinguish between the DM shutting down for a runlevel change vs.
    other causes.  LP: #854329.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Sep 2011 22:22:38 -0700

lightdm (0.9.7-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Set PAM_TTY to the display name, not the tty device (LP: #851055)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 Sep 2011 09:39:22 +1000

lightdm (0.9.6-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Only unlock displays if switched to from greeter
    - Make log file not system readable
    - Write ~/.Xauthority inside the session process so it cannot be hijacked
    - Set PAM_TTY and PAM_XDISPLAY when opening PAM session
    - Add VNC server support
    - Do not write ~/.dmrc and ~/.Xauthority as root. [CVE-2011-3349]
  * debian/patches/00upstream_unlock_fix.patch:
  * debian/patches/04_dont_write_files_as_root.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Sep 2011 17:32:25 +1000

lightdm (0.9.5-0ubuntu2) oneiric; urgency=low

  * debian/lightdm.config: When installing from scratch as part of a release
    upgrade, default to lightdm, otherwise ask. (LP: #806559)
  * Add 04_dont_write_files_as_root.patch: Do not write ~/.dmrc and
    ~/.Xauthority as root. [CVE-2011-3349]
  * Add 00upstream_unlock_fix.patch: Only unlock displays if switched to from
    greeter. Cherrypicked from upstream r1137. (LP: #844274)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Sep 2011 08:52:24 +0200

lightdm (0.9.5-0ubuntu1) oneiric; urgency=low

  [ Steve Langasek ]
  * Update upstart job to use current start condition lifted from gdm,
    and to check runlevels instead of /proc/cmdline so it's possible to
    start lightdm after switching out of recovery mode.  LP: #803513.

  [ Didier Roche ]
  * debian/patches/01_transition_gnome_ubuntu_desktop.patch:
    natty-oneiric session name upgrade:
    - transition from unity-2d -> ubuntu-2d
    - transition from gnome-2d -> gnome-fallback

  [ Robert Ancell ]
  * New upstream release:
   [0.9.5]
    - Use accounts service in the daemon if it is available
    - Correctly load seat type in multi seat configuration
    - Add display-setup, session-setup and session-cleanup scripting hooks
    - Fix cancel button in GTK greeter (LP: #819240)
    - Fix line through GTK greeter menu items
    - Exit daemon if a seat fails which has exit-on-failure set to true
    - Add HasGuestAccount property to seat D-Bus interface (LP: #835084)
    - Fix XDMCP authorization
    - Update man file
    - Emit upstart events (LP: #715094)
   [0.9.4]
    - lightdm-set-defaults enables tweaking the default session and chosen
      greeter for lightdm. This is useful for derivatives waiting to not ship
      the whole configuration file of lightdm
    - Fix crash in GTK+ greeter when a user is added
    - Move xsessions-directory and xgreeters-directory from [SeatDefaults] to
      [LightDM].  This is a configuration break, but making it on the assumption
      that these settings are not likely to have been overridden.
    - Fix fallback from org.freedesktop.Accounts to passwd format
    - Fix duplicate user entries being shown when using passwd file
    - Add AddSeat D-Bus method for adding dynamic seats
    - Added a dm-tool program that allows user switching and adding seats
    - Allow remote X servers, e.g. launched using dm-tool add-nested-seat
    - Fix bug where sessions were started when the greeter quit and the user
      hadn't been authorized.
    - Fix bug where sessions used the seat bus name
    - Don't allow autologin-username to be set to empty
    - Fix bug where PAM session was not opened before writing to home directory
    - Fix crash when failing to write X authority

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 07 Sep 2011 16:09:53 +1000

lightdm (0.9.3-0ubuntu8) oneiric; urgency=low

  * debian/patches/series:
    - Add patch from last commit to actually apply.  Ahem.
  * debian/rules:
    - Make greeter wrapper executable

 -- Michael Terry <mterry@ubuntu.com>  Thu, 25 Aug 2011 16:20:00 -0400

lightdm (0.9.3-0ubuntu7) oneiric; urgency=low

  * debian/install, debian/lightdm-greeter-session,
    debian/patches/03_launch_dbus.patch:
    - Add patch and wrapper script to launch dbus for the greeter so that
      we can safely kill it when the greeter ends.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 24 Aug 2011 15:34:07 -0400

lightdm (0.9.3-0ubuntu6) oneiric; urgency=low

  * Backport r1065 to use account service instead of .dmrc (lp: #823718), 
    should fix the session not being correct remembered (lp: #818201)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Aug 2011 16:21:59 +0200

lightdm (0.9.3-0ubuntu5) oneiric; urgency=low

  * Backport potfiles.in fix from trunk
  * debian/lightdm.install: install dm-tool (seat management utility)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Aug 2011 15:59:45 +0200

lightdm (0.9.3-0ubuntu4) oneiric; urgency=low

  * Updated to current trunk, that's a candidate version version for the next
    update, it fixes those issues:
    - login doesn't work for ecryptfs users (lp: #823775, #824594)
    - "lightdm-gtk-greeter segfaults in get_user_iter when adding a new user"
    (lp: #822470)
    - fix fallback from org.freedesktop.Accounts to passwd format (lp: #817835)
    - empty autologin-user should not be passed to pam (lp: #817581)
  * debian/control.in:
    - build-depends on quilt, it's needed with source v1
    - don't build-depends on valac, vala is not used in the current version
  * debian/lightdm.install:
    - install the manpages as well
  * debian/lightdm.manpages:
    - dropped, it's installed by the upstream make install
  * debian/rules:
    - use the quilt rule
  * debian/source/format:
    - use source v1, it works better with vcs workflows

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Aug 2011 15:29:42 +0200

lightdm (0.9.3-0ubuntu3) oneiric; urgency=low

  * debian/control: stop forcing the unity-greeter recommends (lp: #824299)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Aug 2011 23:21:51 +0200

lightdm (0.9.3-0ubuntu2) oneiric; urgency=low

  * Backport mterry's changes to the gdmflexiserver functionnality
  * debian/control: default to the unity greeter (lp: #809710)
  * debian/lightdm.install: install the new files

  [ Didier Roche ]
  * Cherry-pick from upstream:
    - lightdm-set-defaults enables tweaking the default session and chosen
      greeter for lightdm. This is useful for derivatives waiting to not ship
      the whole configuration file of lightdm
    - refreshed translations
  * debian/rules:
    - set "ubuntu" as the default session (unable to login for people who don't
      have a .dmrc, sorry for the kittens…)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Aug 2011 18:34:03 +0200

lightdm (0.9.3-0ubuntu1) oneiric; urgency=low

  [ Sebastien Bacher ]
  * New upstream version
  * debian/control:
    - build-depends on dh-translations
    - build with the current vala
    - demote the greeter depends back to a recommend, lightdm can be use to
      connect to remote displays and doesn't need a local greeter
    - lightdm depends on dbus (lp: #822824)
    - liblightdm-gobject recommends accountsservice (lp: #822863)
  * debian/liblightdm-gobject-1-0.symbols:
    - track library symbols
  * debian/lightdm.install:
    - ship the translations
  * debian/lightdm.preinst:
    - fix missing dh token
  * debian/rules:
    - reorder rules to work with new dh versions
    - stop the build if the liblightdm-gobject symbols are outdated
    - use dh-translations to generate the translations template
  * debian/source_lightdm.py:
    - get bug informations for apport, thanks Pedro Villavicencio (lp: #819954)

  [ Didier Roche ]
  * debian/watch:
    - fix debian/watch to get lightdm
  * debian/patches/01_transition_gnome_ubuntu_desktop.patch:
    - transition so that gnome.desktop is now move to ubuntu.desktop as the main
      session. We need that for transitionning to the next step (post LTS) where
      gnome-shell.desktop will be renamed to gnome.desktop

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Aug 2011 18:21:07 +0200

lightdm (0.9.2-0ubuntu4) oneiric; urgency=low

  * debian/control: depends on the greeters rather than recommends, seems some
    users still get no greeter after upgrade otherwise

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 27 Jul 2011 19:10:47 +0200

lightdm (0.9.2-0ubuntu3) oneiric; urgency=low

  * Fix lightdm to conflict liblightdm-gobject-0-0 and liblightdm-qt-0-0,
    so that old greeters are removed on upgrade
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 26 Jul 2011 23:26:49 +0100

lightdm (0.9.2-0ubuntu2) oneiric; urgency=low

  * debian/control: 
    - recommends the preferred greeter before a virtual one
    - let the new gtk greeter provide the old example named one for easier
      upgrade

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Jul 2011 21:38:25 +0200

lightdm (0.9.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
    [0.9.0]
    - Fix invalid XAUTHORITY variable being set for second X server.
    - Fix bug where switching users created X servers without VTs
    - Release a VT when the X server on it stops
    - Greeters are now just standard X sessions that are stored in
      /usr/share/xgreeters.
    - Drop most of the configure options, they aren't necessary
    - Config changes:
      - Major reorginisation of configuration to make it easier to configure and
        understand.  Users should set [SeatDefaults] section with settings for
        all seats, and can override each setting in a per seat configuration.
      - Default seats are now specified using a [Seat:<name>] section.  If no
        seats are specified then one is started.  This can be overridden by
        setting start-default-seat=false in [LightDM].
      - Support setting autologin user to guest account
      - Split the user accounts configuration into /etc/lightdm/users.conf so
        the  main config can be private.
      - The default user session is now "default".  Distributions should put a
        symlink to their chosen default or set one in lightdm.conf.
      - XDMCP keys now stored in keys.conf
    - liblightdm API changes:
      - Both libraries are now version 1 and have API and ABI guarantees.
      - Face images are now local paths not URIs
      - liblightdm-gobject now uses lightdm_ prefix instead of ldm_
      - Non-greeter functions are now moved out of the Greeter class
      - connect_to_server() is now called connect_sync and blocks until
        completion.
      - start_session() is now called start_session_sync and blocks until
        completion. The quit signal is removed, and the greeter should quit if
        this method returns TRUE.
      - login() is now called authenticate()
      - Greeters now have hints instead of configuration (greeters should load
        their own configuration from /etc/lightdm if they need it).
      - liblightdm-gobject uses AccountsService if it is available
      - Added regression tests for liblightdm-qt
    - D-Bus API changes:
      - Expose Seats and Sessions on org.freedesktop.DisplayManager
      - Add a CanSwitch property
      - Rename ShowGreeter() to SwitchToGreeter()
    - Greeter changes:
      - Drop "example" from the name of the GTK+ and Qt greeters and make them
        official default greeters.
      - Use GTK3 for GTK+ greeter.
      - Removed the Vala and Python GTK+ greeters, they weren't being well
        maintained.
    [0.9.1]
    - Fix up translation build system
    - Add a --with-greeter-user configure option
    - Fix greeter-user configuration not being used
    - Abort greeter if attempted to be run as root and greeter-user set
    - Fix setting session in GTK+ greeter
    [0.9.2]
    - Fix annotation and Vala bindings for getting the UserList singleton
    - Fix GTK+ greeter error label not being shown
    - Don't set SIGQUIT to ignore in child processes
    - Reworked the PAM code as ecryptfs users weren't able to log in.  They
      can now but not sure what changed to fix that!?
  * debian/control:
    - Build depend on libgtk3.0-dev, not libgtk2.0-dev
    - Drop obsolete greeters, use new ones
    - lightdm conflicts with liblightdm-gobject-1 and liblightdm-qt-1 so old
      greeters will be removed.
    - Update versions of libraries
  * debian/lightdm.conf:
    - Removed, no longer needs configuration
  * debian/patches/01_resize_grip.patch:
    - Dropped, not required anymore

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 26 Jul 2011 19:19:00 +1000

lightdm (0.4.4-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix failure to accept XDMCP connections due to invalid assert.
    - Allow minimum-display-number to be set in lightdm.conf and on the command
      line.
    - Session X authority now written to ~/.Xauthority by default.  It can be
      configured to run from the system location by setting
      user-authority-in-system-dir=true in lightdm.conf.
    - When using system authority the authority can be updated by the user.
      (LP: #795046)
    - Written X authority files now checks hostname and display number.
    - Enironment is no longer passed through to X servers and sessions, this is
      no longer required now PAM works correctly.
    - liblightdm API changes:
      - Drop ldm_greeter_get_is_first() - it was added for testing and doesn't
        work well.
    - Fix more errors where authentication messages from previous sessions could
      be confused with new sessions.
    - Added XDMCP regression tests.
  * debian/lightdm.conf:
    - Updated to latest format

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 15 Jul 2011 13:35:49 +1000

lightdm (0.4.3-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 13 Jul 2011 15:06:13 +1000

lightdm (0.4.2-0ubuntu2) oneiric; urgency=low

  * debian/Xsession:
    - Correctly load ~/.Xresource

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Jul 2011 09:29:15 +1000

lightdm (0.4.2-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fixes (LP: #798277)
  * debian/lightdm.upstart:
    - Don't source /etc/environment or /etc/default/locale - this is done in PAM
  * debian/Xsession:
    - Handle X resource directory being empty (LP: #800193)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Jul 2011 15:22:12 +1000

lightdm (0.4.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fixes (LP: #793366)
  * debian/lightdm.conf:
  * debian/guest-session-cleanup.sh:
  * debian/guest-session-setup.sh:
    - Enable guest session

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 30 Jun 2011 17:04:25 +0100

lightdm (0.4.0-0ubuntu7) oneiric; urgency=low

  * debian/Xsession:
    - Correctly load Xresources (LP: #800193)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 27 Jun 2011 09:43:49 +0100

lightdm (0.4.0-0ubuntu6) oneiric; urgency=low

  * debian/Xsession:
    - Set required variables to make Xsession.d scripts work (LP: #800192)

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 27 Jun 2011 00:03:12 +1000

lightdm (0.4.0-0ubuntu5) oneiric; urgency=low

  * debian/lightdm.lightdm-autologin.pam, debian/rules:
    - Actually install autologin PAM configuration (LP: #797669).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jun 2011 12:52:33 +0100

lightdm (0.4.0-0ubuntu4) oneiric; urgency=low

  * debian/control: don't depends on gnome-icon-theme-full, the purpose of the
    binary is to not be installed by default, icons should be moved rather

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Jun 2011 11:28:05 +0200

lightdm (0.4.0-0ubuntu3) oneiric; urgency=low

  * debian/control:
    - Make GTK greeters depend on gnome-icon-theme-full (LP: #796793)
  * debian/Xsession:
  * debian/lightdm.conf:
    - Load profile and X resources when running session (LP: #794315)
      (LP: #795083)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 17 Jun 2011 15:26:59 +1000

lightdm (0.4.0-0ubuntu2) oneiric; urgency=low

  * debian/copyright:
    - Drop copyright reference to obsolete ck-connector.[ch]
  * debian/patches/02_disable_tests.patch:
    - Disable regression tests as they're not running on the buildd's correctly

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 17 Jun 2011 13:55:12 +1000

lightdm (0.4.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control:
    - Add build-depends on dbus for regression tests
    - lightdm pre-depends on dpkg (>= 1.15.7.2) to get dpkg-maintscript-helper
      support
    - Drop build-depends on libdbus-glib-1-dev, libck-connector-dev
  * debian/lightdm.conf:
    - Update to latest format
  * debian/lightdm.postinst:
  * debian/lightdm.postrm:
  * debian/lightdm.preinst:
    - Move config file from /etc/lightdm.conf to /etc/lightdm/lightdm.conf
  * debian/lightdm-autologin.pam:
    - Add autologin PAM session
  * debian/patches/01_resize_grip.patch:
    - Don't show resize grip on window
  * debian/patches/01_handle_all_signals.patch:
  * debian/patches/02_process_exit.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 17 Jun 2011 12:31:14 +1000

lightdm (0.3.7-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - Add ${python:Depends} and required dependencies for
      lightdm-greeter-example-python-gtk package (LP: #787409)
  * debian/patches/01_handle_all_signals.patch:
    - Correctly handle signals from external processes (LP: #789389)
  * debian/patches/02_process_exit.patch:
    - Fix crash when child processes quit (LP: #795050)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 10 Jun 2011 16:24:56 +1000

lightdm (0.3.7-0ubuntu1) oneric; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 30 May 2011 20:22:39 +1000

lightdm (0.3.6-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/lightdm.conf:
    - Start display on active VT

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 30 May 2011 16:43:37 +1000

lightdm (0.3.5-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 24 May 2011 15:38:04 +1000

lightdm (0.3.4-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 20 May 2011 14:56:09 +1000

lightdm (0.3.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/lightdm-greeter-example-gtk.install:
    - Install .ui file

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 May 2011 17:45:50 +0200

lightdm (0.3.2-0ubuntu1) natty; urgency=low

  * New upstream release:
  * debian/lightdm-greeter-*.install:
    - Use new binary names
  * debian/lightdm.conf:
    - Start display on VT 7

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 21 Apr 2011 15:31:24 +1000

lightdm (0.3.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Add build-depends on valac
    - Drop build-depends on libwebkitgtk-dev
    - Rename gir1.0-lightdm-0 to gir1.2-lightdm-0
    - Webkit engine and theme dropped
    - Merge theme and engines into one package
    - Add vala-gtk, python-gtk and qt greeters

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 16 Apr 2011 18:22:50 +1000

lightdm (0.2.3-0ubuntu2) natty; urgency=low

  * debian/control:
    - Fix Vcs-Bzr link

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 14 Jan 2011 14:44:48 -0600

lightdm (0.2.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Build depend on libwebkitgtk-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 14 Jan 2011 14:39:15 -0600

lightdm (0.2.2-0ubuntu2) natty; urgency=low

  * debian/copyright:
    - Update copyright for liblightdm-gobject and liblightdm-qt

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 15 Dec 2010 10:16:16 +1100

lightdm (0.2.2-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/copyright:
    - Update copyright for src/ck-connector.[ch]
  * debian/liblightdm-gobject-0-dev:
    - .vapi file has moved location
  * debian/lightdm.upstart:
    - Tidy up upstart config
  * debian/rules:
    - Compile with --with-greeter-user=lightdm

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 09 Dec 2010 11:45:44 +1100

lightdm (0.2.1-0ubuntu1) natty; urgency=low

  [ Julien Lavergne ]
  * debian/lightdm.{config,pam,postinst,postrm,prerm,upstart,init}
   - Add configuration based on gdm and xdm ones.
  * debian/rules:
   - Use dh_installinit --no-start
   - Remove .la and .a files.
   - Pass --list-missing to dh_install.
   - Don't use --with quilt with format 3.0.
   - Use with autoreconf.
  * debian/control:
   - Add myself to Uploaders, and use ubuntu address for Maintainer.
   - Build-depends on dh-autoreconf and gtk-doc-tools
   - Improve the description.
   - Add depends on libpam-runtime (>= 0.76-14) and libpam-modules for pam
     support.
   - Add depends on adduser.
   - Provides x-display-manager.
   - Add depends on libglib2.0-dev, libdbus-glib-1-dev and libxklavier-dev for
     libldmgreeter-dev.
  * debian/libldmgreeter-dev.install:
   - Install .so
  * debian/lightdm.install
   - Install conf file for DBus.
  * debian/lightdm.dirs
   - Add /var directories for logs, and cache.
  * debian/po & debian/lightdm.template:
   - Add translations for display manager switch.
  * debian/copyright:
   - Update address for source code and copyright for debian/.
  * debian/lightdm.conf:
   - Sync with upstream modification.
  * debian/lightdm.manpages
   - Add the upstream manpage.

  [ Robert Ancell ]
  * New upstream release
  * Rename from libldmgreeter to liblightdm
  * debian/control:
    - Use ubuntu-desktop Bzr link
  * debian/gir1.0-lightdm-0.install:
    - Install typelib into correct package
  * debian/lightdm.postinst:
  * debian/lightdm.postrm:
    - Create lightdm user

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 01 Dec 2010 08:40:37 +1100

lightdm (0.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Use standards version 3.9.1
  * debian/lightdm.conf:
  * debian/rules:
    - Make an Ubuntu specific default config file

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 12 Nov 2010 13:58:43 +1100

lightdm (0.1.2-0ubuntu2) maverick; urgency=low

  * debian/lightdm-theme-gnome.install:
  * debian/lightdm-theme-webkit.install:
    - Fix install location of themes

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 12 Oct 2010 15:52:24 +1100

lightdm (0.1.2-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 10 Sep 2010 16:57:49 +1000

lightdm (0.1.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 14 Aug 2010 22:06:43 +1000

lightdm (0.1.0-0ubuntu2) maverick; urgency=low

  * debian/lightdm-theme-gnome.install:
    - Install gnome theme data

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 22 Jul 2010 22:17:46 +0200

lightdm (0.1.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 22 Jul 2010 21:57:35 +0200

lightdm (0.0.4-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Build-depend on libxdmcp-dev, libxcb1-dev
    - Use standards-version 3.9.0

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 16 Jul 2010 10:12:40 +1000

lightdm (0.0.3-0ubuntu2) maverick; urgency=low

  * debian/control:
    - Build-depend on libxklavier-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 10 Jul 2010 15:33:57 +1000

lightdm (0.0.3-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Wait for signal from X server before starting session
    - Add language API
    - Add keyboard layout API
    - Add gettext support to the WebKit greeter

 -- Robert Ancell <robert.ancell@canonical.com>  Sat, 10 Jul 2010 14:07:26 +1000

lightdm (0.0.2-0ubuntu1maverick1) maverick; urgency=low

  * New upstream release:
    - Fix installation of D-Bus service file
    - Allow DISPLAY env variable to be passed to X server so can run Xephyr
    - Handle no automatic login in webkit theme
  * debian/control:
    - Remove invalid ${shlibs:Depends} lines on binary free packages
  * debian/watch:
    - Update watch location

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 01 Jul 2010 11:47:58 +1000

lightdm (0.0.1-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 27 Jun 2010 11:14:01 +1000
